﻿using AutoMapper;
using BizService;
using Model.Dto;
using Model.Entities;
using Prism.Mvvm;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace PLCTool.ViewModels.MonitorManageViewModel
{
    public  class PLCWriteViewModel:BindableBase
    {
        private readonly IBasicPlcItemConfigService _iBasPlcItemConfigService;

        private readonly IMapper _mapper;
        private List<BasPlcItemConfigDto> plcConfigs = new List<BasPlcItemConfigDto>();
        public PLCWriteViewModel(IBasicPlcItemConfigService iBasPlcItemConfigService, IMapper mapper)
        {

            _iBasPlcItemConfigService = iBasPlcItemConfigService;
            _mapper = mapper;
            GetPLCConfig();
        }
        #region 私有方法
        /// <summary>
        /// 获取PLC配置
        /// </summary>
        private void GetPLCConfig()
        {
            var plclist = _iBasPlcItemConfigService.QueryList();
            plcConfigs = _mapper.Map<List<bas_plc_item_config>, List<BasPlcItemConfigDto>>(plclist);
            foreach (var plc in plcConfigs)
            {
                PLCItemList.Add(plc);
            }
        }

        private void ReadPLCValue()
        {
            Task.Run(async () =>
            {
                while (true)
                {
                    //更新界面上的值
                    Application.Current.Dispatcher.Invoke(() =>
                    {

                    });
                    await Task.Delay(5000);
                }

            });

        }
        #endregion
        #region 命令绑定
        private ObservableCollection<BasPlcItemConfigDto> plcItemList = new ObservableCollection<BasPlcItemConfigDto>();
        public ObservableCollection<BasPlcItemConfigDto> PLCItemList
        {
            get { return plcItemList; }
            set { plcItemList = value; RaisePropertyChanged(); }
        }
        #endregion
    }
}

